
﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Drawing;
using System.Drawing.Drawing2D;

namespace MAMConsole
{
   /// <summary>
   /// Interaction logic for MAMConsoleWindow.xaml
   /// </summary>
   public partial class MAMConsoleWindow : Window
   {
      // Dummy columns for layers 0 and 1:
      ColumnDefinition column1CloneForLayer0;
      ColumnDefinition column2CloneForLayer0;
      ColumnDefinition column2CloneForLayer1;

      public MAMConsoleWindow()
      {
         InitializeComponent();

         // Initialize the dummy columns used when docking:
         column1CloneForLayer0 = new ColumnDefinition();
         column1CloneForLayer0.SharedSizeGroup = "column1";
         column2CloneForLayer0 = new ColumnDefinition();
         column2CloneForLayer0.SharedSizeGroup = "column2";
         column2CloneForLayer1 = new ColumnDefinition();
         column2CloneForLayer1.SharedSizeGroup = "column2";

         this.Closing += HandleClosingEvent;
      }

      // Docks a pane, which hides the corresponding pane button
      public void DockPane(string buttonName)
      {
      }

      // Undocks a pane, which reveals the corresponding pane button
      public void UndockPane(string buttonName)
      {
      }

      private void HandleClosingEvent(object sender, System.ComponentModel.CancelEventArgs e)
      {
         System.Environment.Exit(0);
         e.Cancel = true;
      }

      private void Window_Loaded(object sender, RoutedEventArgs e)
      {
      }
   }
}
